Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sun, 15 Sep 2019 03:10:02 +0000

Hi Fauzan Musalman,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery This is regarding order no 6444422311, which I placed on 6 September. I visited twice to the delivery store on King Abdullah Road, An Nayifiayah, al hofuf twice but both times guy on the delivery section told me that order is not there. I informed them I got collection message everyday almost for 4 days but still they not only listen me nor they are willing to help. They said we don't care, go and cancel your order online. I never see such a rude and disgusting customer service any time before on any of the centerpoint before. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/158311